API Reference · Emails

Retrieve events

The full delivery timeline for a message: queued → sent → delivered, plus bounces, complaints, opens and clicks.

GET/v1/messages/{id}/events

Headers

Authorizationstringrequired
Your API key as a bearer token: Bearer rk_your_api_key. You can also use the X-Api-Key header.

Request

curl -X GET https://api.raanse.com/v1/messages/01JABCDXYZ0000000000000000/events \
  -H "Authorization: Bearer rk_your_api_key"

Response

200
{
  "success": true,
  "message": "OK",
  "statusCode": 200,
  "data": [
    { "id": "01JEVT...", "type": "Queued", "providerMessageId": null, "occurredAt": "2026-07-02T12:00:00Z" },
    { "id": "01JEVU...", "type": "Sent", "providerMessageId": "op_abc", "occurredAt": "2026-07-02T12:00:03Z" },
    { "id": "01JEVV...", "type": "Delivered", "providerMessageId": "op_abc", "occurredAt": "2026-07-02T12:00:11Z" }
  ]
}